# cwl_utils.normalizer

Normalize CWL documents to CWL v1.2, JSON style.

## Attributes

`defaultStreamHandler` |

## Functions

`arg_parser`() | Build the argument parser.
`parse_args`(args) | Parse the command line arguments.
`main`() | Console entry point.
`run`(args) | Primary processing loop.

## Module Contents

cwl_utils.normalizer.defaultStreamHandler

cwl_utils.normalizer.arg_parser()

  Build the argument parser.

  Return type:

    argparse.ArgumentParser

cwl_utils.normalizer.parse_args(args)

  Parse the command line arguments.

  Parameters:

    args (list[str])

  Return type:

    argparse.Namespace

cwl_utils.normalizer.main()

  Console entry point.

  Return type:

    None

cwl_utils.normalizer.run(args)

  Primary processing loop.

  Parameters:

    args (argparse.Namespace)

  Return type:

    int